- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CKnob Class Reference

a knob control More...

`#include <vstcontrols.h>`

Inheritance diagram for CKnob:

List of all members.

## Public Member Functions
| CKnob (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CBitmap *handle, const CPoint &offset)
virtual | ~CKnob ()
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
virtual void | mouse (CDrawContext *pContext, CPoint &where, long button=-1)
| called if a mouse click event occurs
virtual bool | onWheel (CDrawContext *pContext, const CPoint &where, float distance)
| called if a mouse wheel event is happening over this view
virtual long | onKeyDown (VstKeyCode &keyCode)
| called if a key down event occurs and this view has focus
virtual void | drawHandle (CDrawContext *pContext)
virtual void | setStartAngle (float val)
virtual float | getStartAngle () const
virtual void | setRangeAngle (float val)
virtual float | getRangeAngle () const
virtual void | valueToPoint (CPoint &point) const
virtual float | valueFromPoint (CPoint &point) const
virtual void | setInsetValue (long val)
virtual void | setColorShadowHandle (CColor color)
virtual void | setColorHandle (CColor color)
virtual void | setHandleBitmap (CBitmap *bitmap)
virtual void | setZoomFactor (float val)
virtual float | getZoomFactor () const
## Protected Member Functions
void | compute ()
## Protected Attributes
CPoint | offset
CColor | colorHandle
CColor | colorShadowHandle
CBitmap * | pHandle
long | inset
float | startAngle
float | rangeAngle
float | halfAngle
float | aCoef
float | bCoef
float | radius
float | zoomFactor

## Detailed Description

a knob control

Define a knob with a given background and foreground handle. The handle describes a circle over the background (between -45deg and +225deg). By clicking Alt+Left Mouse the default value is used. By clicking Alt+Left Mouse the value changes with a vertical move (version 2.1)

## Constructor & Destructor Documentation

CKnob::CKnob | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CBitmap * | handle,
|  | const CPoint & | offset
| ) |

CKnob::~CKnob | ( |  | ) | `[virtual]`

## Member Function Documentation

void CKnob::compute | ( |  | ) | `[protected]`

void CKnob::draw | ( | CDrawContext * | pContext | ) | `[virtual]`

| called if the view should draw itself Implements CControl. Reimplemented in CAnimKnob.

void CKnob::drawHandle | ( | CDrawContext * | pContext | ) | `[virtual]`

virtual float CKnob::getRangeAngle | ( |  | ) | const`[inline, virtual]`

virtual float CKnob::getStartAngle | ( |  | ) | const`[inline, virtual]`

virtual float CKnob::getZoomFactor | ( |  | ) | const`[inline, virtual]`

void CKnob::mouse | ( | CDrawContext * | pContext,
|  | CPoint & | where,
|  | long | button = `-1`
| ) | `[virtual]`

| called if a mouse click event occurs Reimplemented from CView.

long CKnob::onKeyDown | ( | VstKeyCode & | keyCode | ) | `[virtual]`

| called if a key down event occurs and this view has focus Reimplemented from CView.

bool CKnob::onWheel | ( | CDrawContext * | pContext,
|  | const CPoint & | where,
|  | float | distance
| ) | `[virtual]`

| called if a mouse wheel event is happening over this view Reimplemented from CView.

void CKnob::setColorHandle | ( | CColor | color | ) | `[virtual]`

void CKnob::setColorShadowHandle | ( | CColor | color | ) | `[virtual]`

void CKnob::setHandleBitmap | ( | CBitmap * | bitmap | ) | `[virtual]`

virtual void CKnob::setInsetValue | ( | long | val | ) | `[inline, virtual]`

void CKnob::setRangeAngle | ( | float | val | ) | `[virtual]`

void CKnob::setStartAngle | ( | float | val | ) | `[virtual]`

virtual void CKnob::setZoomFactor | ( | float | val | ) | `[inline, virtual]`

float CKnob::valueFromPoint | ( | CPoint & | point | ) | const`[virtual]`

void CKnob::valueToPoint | ( | CPoint & | point | ) | const`[virtual]`

## Member Data Documentation

float CKnob::aCoef`[protected]`

float CKnob::bCoef`[protected]`

CColor CKnob::colorHandle`[protected]`

CColor CKnob::colorShadowHandle`[protected]`

float CKnob::halfAngle`[protected]`

long CKnob::inset`[protected]`

CPoint CKnob::offset`[protected]`

CBitmap* CKnob::pHandle`[protected]`

float CKnob::radius`[protected]`

float CKnob::rangeAngle`[protected]`

float CKnob::startAngle`[protected]`

float CKnob::zoomFactor`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.